com.amazonaws.services.servermigration.model

## Class CreateReplicationJobRequest

- java.lang.Object
- - com.amazonaws.AmazonWebServiceRequest
  - - com.amazonaws.services.servermigration.model.CreateReplicationJobRequest

All Implemented Interfaces:
  ReadLimitInfo, Serializable, Cloneable

    public class CreateReplicationJobRequest
    extends AmazonWebServiceRequest
    implements Serializable, Cloneable

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class com.amazonaws.AmazonWebServiceRequest

`NOOP`

### Constructor Summary

Constructors
Constructor and Description
`CreateReplicationJobRequest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`CreateReplicationJobRequest` `clone()`
`boolean` `equals(Object obj)`
`String` `getDescription()`
`Integer` `getFrequency()`
`String` `getLicenseType()`
`String` `getRoleName()`
`Date` `getSeedReplicationTime()`
`String` `getServerId()`
`int` `hashCode()`
`void` `setDescription(String description)`
`void` `setFrequency(Integer frequency)`
`void` `setLicenseType(LicenseType licenseType)`
`void` `setLicenseType(String licenseType)`
`void` `setRoleName(String roleName)`
`void` `setSeedReplicationTime(Date seedReplicationTime)`
`void` `setServerId(String serverId)`
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`CreateReplicationJobRequest` `withDescription(String description)`
`CreateReplicationJobRequest` `withFrequency(Integer frequency)`
`CreateReplicationJobRequest` `withLicenseType(LicenseType licenseType)`
`CreateReplicationJobRequest` `withLicenseType(String licenseType)`
`CreateReplicationJobRequest` `withRoleName(String roleName)`
`CreateReplicationJobRequest` `withSeedReplicationTime(Date seedReplicationTime)`
`CreateReplicationJobRequest` `withServerId(String serverId)`

### Methods inherited from class com.amazonaws.AmazonWebServiceRequest

`copyBaseTo, getCloneRoot, getCloneSource, getCustomQueryParameters, getCustomRequestHeaders, getGeneralProgressListener, getReadLimit, getRequestClientOptions, getRequestCredentials, getRequestCredentialsProvider, getRequestMetricCollector, getSdkClientExecutionTimeout, getSdkRequestTimeout, putCustomQueryParameter, putCustomRequestHeader, setGeneralProgressListener, setRequestCredentials, setRequestCredentialsProvider, setRequestMetricCollector, setSdkClientExecutionTimeout, setSdkRequestTimeout, withGeneralProgressListener, withRequestMetricCollector, withSdkClientExecutionTimeout, withSdkRequestTimeout`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CreateReplicationJobRequest

    public CreateReplicationJobRequest()

### Method Detail

#### setServerId

    public void setServerId(String serverId)

Parameters:
  `serverId` -

#### getServerId

    public String getServerId()

Returns:

#### withServerId

    public CreateReplicationJobRequest withServerId(String serverId)

Parameters:
  `serverId` -
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setSeedReplicationTime

    public void setSeedReplicationTime(Date seedReplicationTime)

Parameters:
  `seedReplicationTime` -

#### getSeedReplicationTime

    public Date getSeedReplicationTime()

Returns:

#### withSeedReplicationTime

    public CreateReplicationJobRequest withSeedReplicationTime(Date seedReplicationTime)

Parameters:
  `seedReplicationTime` -
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setFrequency

    public void setFrequency(Integer frequency)

Parameters:
  `frequency` -

#### getFrequency

    public Integer getFrequency()

Returns:

#### withFrequency

    public CreateReplicationJobRequest withFrequency(Integer frequency)

Parameters:
  `frequency` -
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setLicenseType

    public void setLicenseType(String licenseType)

Parameters:
  `licenseType` -
See Also:
  `LicenseType`

#### getLicenseType

    public String getLicenseType()

Returns:
See Also:
  `LicenseType`

#### withLicenseType

    public CreateReplicationJobRequest withLicenseType(String licenseType)

Parameters:
  `licenseType` -
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `LicenseType`

#### setLicenseType

    public void setLicenseType(LicenseType licenseType)

Parameters:
  `licenseType` -
See Also:
  `LicenseType`

#### withLicenseType

    public CreateReplicationJobRequest withLicenseType(LicenseType licenseType)

Parameters:
  `licenseType` -
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `LicenseType`

#### setRoleName

    public void setRoleName(String roleName)

Parameters:
  `roleName` -

#### getRoleName

    public String getRoleName()

Returns:

#### withRoleName

    public CreateReplicationJobRequest withRoleName(String roleName)

Parameters:
  `roleName` -
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setDescription

    public void setDescription(String description)

Parameters:
  `description` -

#### getDescription

    public String getDescription()

Returns:

#### withDescription

    public CreateReplicationJobRequest withDescription(String description)

Parameters:
  `description` -
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public CreateReplicationJobRequest clone()

Overrides:
  `clone` in class `AmazonWebServiceRequest`